Subject: Re: The need for two grades of time data.

From: "David P. Kemp" <[email-masked]>
Date: Thu, 14 Sep 2000 16:40:55 -0400 (EDT)

> From: "todd glassey" <[email-masked]>
...
> >
> > - by choosing to use the service of a given TSA, the client
> > is relying on the TSA to state the time
> >
> > - the TSA has a cert to identity it, and that cert is issued
> > by a CA, who vouches for the accuracy of the ID, consistent with our
> > usual CA model
> 
> One of the use issues here then is whether the proofing is internal to the
> TS or whether the TS mandates an external Stamp Practices Statement to
> process.
> 
> My vote is that stamps optionally be capable of standing on their own two
> feet instead of requiring the external reference.

Assuming the TSA gets it's time from a PKI-protected National Time
Authority, how does that translate into "proofing internal to the TS"?
If I receive a document apparently timestamped using your PC-attached
device, what assurance do I have that the device is not only receiving
time traceable to a National Timing Authority, but actually using that
time to generate accurate timestamps?  What assurance do I have that
the document actually was stamped by one of your devices, and not some
knockoff pretending to be your device?

No stamp can stand on its own two feet.  It is trusted because there
are external written claims (marketing literature, a Stamp Practices
Statment, or a Common Criteria Security Target) which are either
believed on faith or have been validated by a disinterested
testing/auditing organization.

---

From: "todd glassey" <[email-masked]>
Date: Thu, 14 Sep 2000 17:16:13 -0700

If there is proofing data included inside the TS as evidentiary content then
the TST itself can easily be self authenticating. The reason that the PKI
you are discussing has an external TRUST REFERENCE is because it was
designed that way. There is no reason that the proofing constraints could
not go into the token as well, then just the "rules on how to interpret the
token" remain to be defined here.

> testing/auditing organization.

Not necessarily.

---

From: "todd glassey" <[email-masked]>
Date: Thu, 14 Sep 2000 17:25:06 -0700

If there is proofing data included inside the TS as evidentiary content then
the TST itself can easily be self authenticating. 

The reason that the PKI

> Statement, or a Common Criteria Security Target) which are either

Not necessarily.

---

From: "Patrick G. Moore" <[email-masked]>
Date: Fri, 15 Sep 2000 11:21:47 -0400

> token" remain to be defined here.
Fundamental problem here.  Nothing can be self authenticating without an
external reference.  That is why we don't trust self signed certs, even if
they purport to be a CA, without verifying the fingerprint offline. (Never
mind that most people blindly accept the ones that come in thier browsers.)
A painting signed by Picaso means nothing, if no one had ever seen his
signature before, or asked him if he really signed it.  They don't need
to ask him if they are already familiar with his signature.  All the same
logic applies between the wet world and e-world.

Either you trust your TSA, or it's CAs integrity or you don't.  You must
also choose a TSA who will be trusted by the relying party to which you offer
your proof.

Sorry, enough BW.
Pat

---

From: "Patrick G. Moore" <[email-masked]>
Date: Fri, 15 Sep 2000 16:10:19 -0400

todd glassey wrote:
> 
> ----- Original Message -----
> From: "Patrick G. Moore" <[email-masked]>
> To: <[email-masked]>
> Sent: Friday, September 15, 2000 8:21 AM
> Subject: Re: The need for two grades of time data.
> 
> > todd glassey wrote:
> > >
> > external reference.
> Yes but the question is what that external reference is -  an externally
> supplied keying data  scheme or an externally supplied interpretation
> framework, and that is exactly the issue. In the existing model the process
> requires BOTH the external validation process and externally supplied keying
> or control information to process the event structures that are created by
> the TSP.
> 
> > That is why we don't trust self signed certs, even if
> Actually the real reason we "dont trust self-signed certs" has to do with
> who is financially responsible for actions done with them. The technology is
> fine for many application sincluding BtoB extranet type services.
> 
> > signature before, or asked him if he really signed it.
> 
> How do you figure this? Assume we are not talking about the human cognitive
> process of "enjoying or absorbing the style" of the art, so what is it we
> are talking about here? Identifying the paingting by the techniique of the
> person doing it and the breakdown of the molecular components of the
> painting...
> 
> "Gee this unsigned painting has the same molecular makeup in the paint as
> this signed Picasso does, donw to the meyal componets and their oxidation
> state, as well as the oprganic components - the technique is identical, and
> the canvas carbon dates out to the same period."
> 
> It is likely that the risk providers and auditors (art experts) will proclam
> this as an original. hence the parametric content of the TST was used in
> this case to authenticate it.
> 
> I must have been confused somewhere but I thought the point of the TSP
> Protocol was to build some form of evidentiary grade control systems so that
> people could create these "things" that could be used to universally
> represent events. Am I wrong?
> 
> See the point  is really the Token becuase that's where the rubber meets the
> road. The API is a nicety but what TSP really needs to be is this set of
> token processing rules and a set of recommended uses for the API and the
> processing of the tokens themselves. Nothing more,. nothing less.
> 
> > They don't need
> Interesting analogy - But  I disagree. Authenticate any of the master's
> unsigned  work as the example I cited above clearly doews and you are stuck
> with Parametric validation models.
> 
All of the examples you cite require external references.  Such as knowledge of
a
known authentic example, and comparison to it.  You cannot simply collect
a bunch of data which is self consistent and say it is authentic.  Unless
you can undeniably link it to some verifiable trust point, the whole chain
of evidence could be faked.

A self signed CA is NOT acceptable for security without verification.  Granted,
the shear number of copies of the most common CA certs, and the unliklyhood of
someone tampering with your browser download, gives some measure of confidence
that noone will try to fake one of those.

I will not waste more time on this.

Cheers
Pat

> >
> > Either you trust your TSA, or it's CAs integrity or you don't.
> 
> The world is not so Binary I think.
> 
> > You must
> Not necessarily. Just one that can substantiate its process under
> prosecution. That's the point, there is no trust relationship really between
> the TSP and its users whatsoever, unless it offer insurance against its
> services At least this is the way of it in the real world.
> 
> But how that evidentiary process is carried in the form of the TSA output is
> exactly the point. The ability to prove the TSA's operations and process
> inline is very valuable in the mechanics of using these trust anchor
> instruments.
> >
> > Sorry, enough BW.
> > Pat